Upload Application Document

The Upload Application Document API can be used to upload documents to applications. The document can also be connected directly to an application task.

Request Content-Type

Use multipart/form-data content-type for this request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request Body

file
required

File that should be uploaded

string
required

ID of associated application

string

ID of application document with type == "folder" to put into. Should be null for the document to appear in the root folder

string

ID of associated task related to that application

string

Stringified metadata as a JSON object.

  • Represents a simple key→value map.
  • Keys are strings up to 40 characters long.
  • Values can be string, number, or boolean.
  • Up to 50 entries.
  • String values up to 500 characters.

Must be sent as a JSON‐serialized string.

string

Defines the ability to view the document by people associated with the application. This is only relevant if your company uses a standard digital portal or a custom digital portal that displays documents with access permissions.

Note: Must be sent as serialized JSON.

Example:

"[ { "entityId": "65fc3e3758565910fe4b7447", "entityType": "borrower", "accessGranted": true } ]"

The array must be serialized as a string.

labelIds
array of strings

Associated label IDs (maximum 50 values in array)

labelIds
Headers
string
enum
Defaults to 2024-02-26
Allowed:
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json